%define rel   1

Name:       filelight
Summary:    Graphical disk usage statistics
Version: 4.8.2
Release:    %mkrel %{rel}
Group:      File tools
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://utils.kde.org/projects/filelight/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version

Requires: kdebase4-runtime
Suggests: filelight-handbook
Conflicts: kdeutils4-core < 4.5.72

%description
Filelight allows you to quickly understand exactly where your
diskspace is being used by graphically representing your file
system as a set of concentric segmented-rings. You can use it
to locate hotspots of disk usage and then manipulate those
areas using a file manager.

%files 
%_kde_bindir/filelight
%_kde_libdir/kde4/filelightpart.so
%_kde_applicationsdir/filelight.desktop
%_kde_appsdir/filelight/
%_kde_appsdir/filelightpart/
%_kde_iconsdir/*/*/actions/view_filelight.*
%_kde_iconsdir/*/*/apps/filelight.*
%_kde_configdir/filelightrc
%_kde_services/filelightpart.desktop

#------------------------------------------------------------------------------

%package -n filelight-handbook
Summary: Filelight handbook
BuildArch: noarch
Group: Books/Other
Conflicts: filelight < 4.7.1

%description -n filelight-handbook
This package provides filelight handbook.

%files -n filelight-handbook
%doc AUTHORS  ChangeLog COPYING  COPYING-DOCS NEWS  README  TODO
%docdir %_kde_docdir/HTML/ 
%_kde_docdir/HTML/en/filelight/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228359
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221460
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198355
- Updating tarball to KDE 4.8.0
- Drop patch0 (merged upstream)

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191505
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186288
- Update tarball to KDE 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181467
- imported package filelight

